[CentOS-devel] drbd dependency problem

Ross S. W. Walker rwalker at medallion.com
Tue Jul 17 17:06:40 UTC 2007


 
I was just doing some pre-installation checking and I came across this
weird dependency for cman-kernel.
 
--------------------------
 
[root at mfg-nyc-iscsi2 /]# yum deplist cman-kernel
Loading "fastestmirror" plugin
Loading "priorities" plugin
Loading "protectbase" plugin
Finding dependencies:
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
1 packages excluded due to repository priority protections
0 packages excluded due to repository protections
Importing Additional filelist information for dependency resolution
Importing Additional filelist information for dependency resolution
Importing Additional filelist information for dependency resolution
Importing Additional filelist information for dependency resolution
Importing Additional filelist information for dependency resolution
Importing Additional filelist information for dependency resolution
package: cman-kernel.x86_64 2.6.9-50.2
  dependency: kernel = 2.6.9-55.EL
   Unsatisfied dependency
  dependency: /lib/modules/2.6.9-55.EL
   provider: kernel-module-drbd-2.6.9-55.EL.x86_64 0.7.23-1.el4.centos
  dependency: /bin/sh
   provider: bash.x86_64 3.0-19.3
package: cman-kernel.x86_64 2.6.9-45.4.centos4
  dependency: /lib/modules/2.6.9-42.EL
   provider: kernel-module-drbd-2.6.9-42.EL.x86_64 0.7.21-1.c4
  dependency: kernel = 2.6.9-42.EL
   Unsatisfied dependency
  dependency: /bin/sh
   provider: bash.x86_64 3.0-19.3
   provider: bash.x86_64 3.0-19.3
package: cman-kernel.x86_64 2.6.9-45.14
  dependency: kernel = 2.6.9-42.0.8.EL
   Unsatisfied dependency
  dependency: /lib/modules/2.6.9-42.0.8.EL
   provider: kernel-module-drbd-2.6.9-42.0.8.EL.x86_64 0.7.23-1.c4
  dependency: /bin/sh
   provider: bash.x86_64 3.0-19.3
   provider: bash.x86_64 3.0-19.3
package: cman-kernel.x86_64 2.6.9-45.15
  dependency: kernel = 2.6.9-42.0.10.EL
   Unsatisfied dependency
  dependency: /lib/modules/2.6.9-42.0.10.EL
   provider: kernel-module-drbd-2.6.9-42.0.10.EL.x86_64 0.7.23-1.el4.centos
  dependency: /bin/sh
   provider: bash.x86_64 3.0-19.3
   provider: bash.x86_64 3.0-19.3
package: cman-kernel.x86_64 2.6.9-45.5.centos4
  dependency: /lib/modules/2.6.9-42.0.2.EL
   provider: kernel-module-drbd-2.6.9-42.0.2.EL.x86_64 0.7.21-1.c4
  dependency: kernel = 2.6.9-42.0.2.EL
   Unsatisfied dependency
  dependency: /bin/sh
   provider: bash.x86_64 3.0-19.3
   provider: bash.x86_64 3.0-19.3
package: cman-kernel.x86_64 2.6.9-45.8
  dependency: /lib/modules/2.6.9-42.0.3.EL
   provider: kernel-module-drbd-2.6.9-42.0.3.EL.x86_64 0.7.21-1.c4
  dependency: kernel = 2.6.9-42.0.3.EL
   Unsatisfied dependency
  dependency: /bin/sh
   provider: bash.x86_64 3.0-19.3
   provider: bash.x86_64 3.0-19.3

Seems kernel-module-drbd is listed as a provider for /lib/modules/...
instead of just the drbd module it is suppose to cover.
 

Ross S. W. Walker
Information Systems Manager
Medallion Financial, Corp.
437 Madison Avenue
38th Floor
New York, NY 10022
Tel: (212) 328-2165
Fax: (212) 328-2125
WWW: http://www.medallion.com <http://www.medallion.com/>  

 

______________________________________________________________________
This e-mail, and any attachments thereto, is intended only for use by
the addressee(s) named herein and may contain legally privileged
and/or confidential information. If you are not the intended recipient
of this e-mail, you are hereby notified that any dissemination,
distribution or copying of this e-mail, and any attachments thereto,
is strictly prohibited. If you have received this e-mail in error,
please immediately notify the sender and permanently delete the
original and any copy or printout thereof.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos-devel/attachments/20070717/7370cbd6/attachment.htm


More information about the CentOS-devel mailing list